#
# spec file for package rds-tools
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rds-tools
Summary:        Support tools for Reliable Datagram Sockets
License:        BSD-3-Clause or GPL-2.0
Group:          System/Console
Version:        2.0.7
Release:        2.24
Url:            http://oss.oracle.com/projects/rds/
Source:         %{name}-%{version}.tar.gz
Patch0:         rds-tools-external_cflags.patch
Patch1:         rds-tools-uninitialized_var.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
A collection of support tools for the RDS socket API.


%package        devel
Summary:        Development files for Reliable Datagram Sockets
Group:          Development/Libraries/C and C++

%description devel
This package provides the header needed to use the RDS socket API.

%prep
%setup -q
%patch0
%patch1

%build
export CFLAGS="%{optflags} -Iinclude"
autoconf
%configure
make

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man7/*

%files devel
%defattr(-,root,root)
%{_includedir}/net/rds.h

%changelog
* Sun Nov 27 2016 jengelh@inai.de
- Improv description
* Mon Nov 21 2016 pth@suse.de
- Add rds-tools-uninitialized_var.patch to initialize a variable
  that'a used uninitalized.
- Remove full URL as there is no download site anymore.
* Wed Jul 13 2016 pth@suse.de
- Update to 2.0.7 to better match the kernel (bsc#988674)
- Refresh patch for compiler flags.
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Wed Mar  5 2014 pth@suse.de
- Fix license.
* Tue Jan 21 2014 pth@suse.de
- Update to 2.0.4 from OFED 3.12
- Enable build for s390x.
- Use spdx.org format for license specification.
- New devel subpackage that contains net/rds.h.
* Tue May  8 2012 pth@suse.de
- BuildRequire automake, autoconf and libtool.
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Sun Aug 30 2009 coolo@novell.com
- use %%patch0 for Patch0
* Fri Dec 12 2008 jjolly@suse.de
- Updated to v1.4-1 from OFED 1.4 GA
  - Bugfixes and many cosmetic changes.
* Tue Oct 28 2008 jjolly@suse.de
- Updated to version from OFED 1.4 rc3 (although there is likely
  no change, I will take no chances with OFED)
- Added ExcludeArch: s390 s390x
* Fri Sep 12 2008 jjolly@suse.de
- Updated to v1.2-2 from OFED 1.4 RC1
* Tue Aug 21 2007 hvogel@suse.de
- Update to version from OFED 1.2.5
* Fri Jul  6 2007 hvogel@suse.de
- Initial Package, Version 1.0
